Bug 127803 - gpdf doesn't handle mailto: links correctly (segfaults)
gpdf doesn't handle mailto: links correctly (segfaults)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-13 23:46 EDT by Carlos Rodrigues
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 14:51:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A small pdf testcase containing a mailto: link (8.27 KB, application/octet-stream)
2004-07-13 23:48 EDT, Carlos Rodrigues
no flags Details
The source for the pdf testcase (pdflatex) (155 bytes, text/plain)
2004-07-13 23:53 EDT, Carlos Rodrigues
no flags Details

  None (edit)
Description Carlos Rodrigues 2004-07-13 23:46:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
Gpdf is unable to handle mailto: links. It tries to use "htmlview"
instead of "launchmail", or more correctly "gnome-open".

Clicking on a mailto: link in a PDF pops up an error message stating
that htmlview cannot handle that URI. Clicking on it again crashes Gpdf.


How reproducible:
Always

Steps to Reproduce:
1.open a pdf which has a mailto: link somewhere
2.click on that link (a error dialog appears)
3.click on that link again
    

Actual Results:  Gpdf crashed.

Expected Results:  It should have opened a (in my case) Thunderbird
composer window on the first time (which would have happend if it used
gnome-open instead of htmlview to handle URLs).
Comment 1 Carlos Rodrigues 2004-07-13 23:48:03 EDT
Created attachment 101887 [details]
A small pdf testcase containing a mailto: link
Comment 2 Carlos Rodrigues 2004-07-13 23:53:22 EDT
Created attachment 101888 [details]
The source for the pdf testcase (pdflatex)
Comment 3 Dan Williams 2004-08-18 14:51:20 EDT
Should be fixed in gpdf-2.7.90-2 in rawhide, upstreamed as:

http://bugzilla.gnome.org/show_bug.cgi?id=150476

Note You need to log in before you can comment on or make changes to this bug.